using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.XlsIO;
using Syncfusion.Compression.Zip;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Button1_Click(object sender, EventArgs e)
    {
        // Create Excel file
        ExcelEngine excel = new ExcelEngine();
        IApplication application = excel.Excel;
        IWorkbook workbook = application.Workbooks.Create(1);
        IWorksheet sheet = workbook.Worksheets[0];

        sheet[1, 1].Text = "Hello world";

        // Save the document
        MemoryStream ms = new MemoryStream();
        workbook.SaveAs(ms);
        workbook.Close();
        excel.Dispose();

        Response.ClearHeaders();
        Response.Clear();
        Response.ContentType = "application/zip";

        // Compress the document using Syncfusion Compression
        ZipArchive zip = new ZipArchive();
        ZipArchiveItem item = new ZipArchiveItem("Sample.xls", ms, true, FileAttributes.Compressed);
        zip.AddItem(item);
        zip.Save(Response.OutputStream,true);

        // Send the zipped document
        Response.AppendHeader("Content-Disposition", "attachment;filename=Sample.zip");

        Response.Flush();
        Response.End();
        zip.Dispose();
        ms.Dispose();
    }
}
